Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3154 - inndf returning 0 bytes free, when plenty of space available
Summary: inndf returning 0 bytes free, when plenty of space available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
: 3466 3797 3841 4023 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-30 10:07 UTC by mfleming+bugzilla
Modified: 2008-05-01 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-02 16:29:57 UTC


Attachments (Terms of Use)

Description mfleming+bugzilla 1999-05-30 10:07:07 UTC
Platform: RH 6.0 on i586 (K6-2 350)

Problem: INN's inndf tool, when invoked normally (no
switches) reports "0" bytes free in whatever directory it's
pointed at, despite inndf -i (reports free inodes) reports
plenty of spare inodes, and a regular df reports (on my
system) over 70MB free.

This in turn causes innwatch to throttle the server
immediately. It's reproducable even after the recent
security-fix release, and I have noted the behaviour on the
binary i386 version with released RH 6.0 and the 2.2-9 rpm
release built from the src.rpm

example.
[news@cartman news]$ inndf /var/spool/news/articles
0
[news@cartman news]$ inndf -i /var/spool/news/articles
101000
[news@cartman news]$ df
Filesystem           1k-blocks      Used Available Use%
Mounted on
/dev/hda5               565887    467054     69603  87% /
/dev/hda1              1822884   1478132    344752  81%
/mnt/win98

TIA,
Michael Fleming.

Comment 1 Jeff Johnson 1999-06-02 16:29:59 UTC
Fixed (by using f_bsize rather than f_frsize as returned from statvfs)
in inn-2.2-12.

Comment 2 Jeff Johnson 1999-06-15 11:29:59 UTC
*** Bug 3466 has been marked as a duplicate of this bug. ***

inndf always reports 0.

Comment 3 Jeff Johnson 1999-06-30 22:23:59 UTC
*** Bug 3797 has been marked as a duplicate of this bug. ***

The binary '/usr/bin/inndf' should return the free space in
Kb when called with a path. But it returns ever zero ('0').

So the script 'sendbatch' doesn't work because this zero
return value.

BTW: the update from RedHat 5.2 to 6.0 doesn't work
correctly for inn if it couldn't remove the '/usr/lib/news'
directory.

Comment 4 Jeff Johnson 1999-06-30 22:24:59 UTC
*** Bug 3841 has been marked as a duplicate of this bug. ***

This program is supposed to replace the df | awk... but it
is not working. The problem is that this program is used by
other scripts (including sendbatch...).

I've replaced it by :


#!/bin/sh
df -k $1 $2 | tail -1 | awk '{ print $4 }'

Comment 5 Jeff Johnson 1999-07-14 14:50:59 UTC
*** Bug 4023 has been marked as a duplicate of this bug. ***

It looks like you compiled with -DHAVE_STATVFS and
not -DHAVE_STATFS.  As it is now it always returns a "0"
for the inndf.  I have gotten the source and recompiled
with -DHAVE_STATFS and it works.


Note You need to log in before you can comment on or make changes to this bug.